package com.wyattjmiller.favoritefoodrevisited

import android.os.Bundle
import androidx.appcompat.app.AppCompatActivity

class ListActivity : AppCompatActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_list)

        val fragmentManager = supportFragmentManager
        var fragment = fragmentManager.findFragmentById(R.id.list_fragment_container)

        if (fragment == null) {
            fragment = ListFragment()
            fragmentManager.beginTransaction()
                .add(R.id.list_fragment_container, fragment)
                .commit()
        }
    }
}